CREATE TABLE fun_stream_type_parameters_b (
    STREAM_TYPE_PARAMETER_ID    NUMBER(18, 0) ,
    STREAM_TYPE_ID              NUMBER(18, 0)     NOT NULL,
    STREAM_TYPE_STEP_ID         NUMBER(18, 0) ,
    PARAMETER_CODE              VARCHAR2(256)     NOT NULL,
    DATA_TYPE                   VARCHAR2(1000)    NOT NULL,
    VALUE_SET_CODE              VARCHAR2(240) ,
    REQUIRED_FLAG               VARCHAR2(4)   ,
    STREAM_PARAMETER_CODE       VARCHAR2(256) ,
    DEFAULT_VALUE               VARCHAR2(4000),
    PARAMETER_SEQUENCE          VARCHAR2(120)     NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    RECORD_TYPE_CODE            VARCHAR2(120) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    STREAM_TYPE_PARAMETER_ID    NUMBER(18, 0) ,
    STREAM_TYPE_ID              NUMBER(18, 0)     NOT NULL,
    STREAM_TYPE_STEP_ID         NUMBER(18, 0) ,
    PARAMETER_CODE              VARCHAR2(256)     NOT NULL,
    DATA_TYPE                   VARCHAR2(1000)    NOT NULL,
    VALUE_SET_CODE              VARCHAR2(240) ,
    REQUIRED_FLAG               VARCHAR2(4)   ,
    STREAM_PARAMETER_CODE       VARCHAR2(256) ,
    DEFAULT_VALUE               VARCHAR2(4000),
    PARAMETER_SEQUENCE          VARCHAR2(120)     NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    RECORD_TYPE_CODE            VARCHAR2(120) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fun_stream_type_parameters_b PRIMARY KEY (STREAM_TYPE_PARAMETER_ID, STREAM_TYPE_PARAMETER_ID)
);
